{%- from slspath ~ '/../map.jinja' import listen_ips -%}

nginx:
  snippets:
    robots:
      - location /robots.txt:
        - root: /srv/www/htdocs
    php-fastcgi:
      - 'location ~* \.php$':
        - fastcgi_index: index.php
        - fastcgi_pass: unix:/run/php-fpm/php-fpm.sock
        - 'include': fastcgi_params
        - fastcgi_param: SCRIPT_FILENAME $document_root$fastcgi_script_name
    {%- if listen_ips | length %}
    listen:
      {%- for ip in listen_ips %}
      - listen: {{ ip }}:443 ssl http2
      {%- endfor %}
    {%- endif %}


